<?xml version="1.0" encoding="US-ASCII"?>
<!--This file was created automatically by xsl2profile-->
<!--from the DocBook XSL stylesheets.-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:doc="http://nwalsh.com/xsl/documentation/1.0" xmlns:ng="http://docbook.org/docbook-ng" xmlns:db="http://docbook.org/ns/docbook" xmlns:whc="http://www.xmlmind.com/whc/schema/whc" xmlns:exslt="http://exslt.org/common" exslt:dummy="dummy" ng:dummy="dummy" db:dummy="dummy" extension-element-prefixes="exslt" version="1.1" exclude-result-prefixes="doc ng db exslt">

<xsl:import href="../xhtml/chunk.xsl"/>

<!-- Parameters not supported: rootid -->

<!-- Never useful. -->
<xsl:param name="generate.toc" select="' '"/>
<xsl:param name="generate.index" select="0"/>

<xsl:param name="case-sensitive-index-terms">0</xsl:param>

<!-- ===================================================================== -->

<xslo:include xmlns:xslo="http://www.w3.org/1999/XSL/Transform" 
              href="../profiling/profile-mode.xsl"/>

<xslo:variable xmlns:xslo="http://www.w3.org/1999/XSL/Transform" 
               name="profiled-content">
  <xslo:apply-templates select="/" mode="profile"/>
</xslo:variable>

<xslo:variable xmlns:xslo="http://www.w3.org/1999/XSL/Transform" 
               name="profiled-nodes" 
               select="exslt:node-set($profiled-content)"/>

<xsl:template match="/">
  <xsl:apply-templates select="$profiled-nodes" mode="process.root"/>

  <!-- This for-each is a hook for building profiling stylesheets -->
  <xsl:for-each select="$profiled-nodes">    
    <xsl:call-template name="whtoc"/>
    <xsl:call-template name="whindex"/>
  </xsl:for-each>
</xsl:template>

<xsl:template name="header.navigation">
</xsl:template>

<xsl:template name="footer.navigation">
</xsl:template>

<!-- ===================================================================== -->

<xsl:template name="whtoc">
  <xsl:call-template name="write.chunk.with.doctype">
    <xsl:with-param name="filename" select="concat($base.dir,'whc_toc.xml')"/>
    <xsl:with-param name="method" select="'xml'"/>
    <xsl:with-param name="indent" select="'yes'"/>
    <!-- Seems to have no effect with XHML 1.0. 
         However whc ignores the DOCTYPE. -->
    <xsl:with-param name="doctype-public" select="''"/>
    <xsl:with-param name="doctype-system" select="''"/>
    <xsl:with-param name="content">
      <xsl:call-template name="whtoc.content"/>
    </xsl:with-param>
    <xsl:with-param name="quiet" select="$chunk.quietly"/>
  </xsl:call-template>
</xsl:template>

<xsl:template name="whtoc.content">
  <whc:toc>
    <xsl:apply-templates select="." mode="whtoc"/>
  </whc:toc>
</xsl:template>

<xsl:template match="db:set" mode="whtoc">
  <xsl:variable name="title">
    <xsl:apply-templates select="." mode="title.markup"/>
  </xsl:variable>

  <whc:entry>
    <xsl:attribute name="href">
      <xsl:call-template name="href.target.uri"/>
    </xsl:attribute>

    <whc:title><xsl:value-of select="normalize-space($title)"/></whc:title>

    <xsl:apply-templates select="db:book" mode="whtoc"/>
  </whc:entry>
</xsl:template>

<xsl:template match="db:book" mode="whtoc">
  <xsl:variable name="title">
    <xsl:apply-templates select="." mode="title.markup"/>
  </xsl:variable>

  <whc:entry>
    <xsl:attribute name="href">
      <xsl:call-template name="href.target.uri"/>
    </xsl:attribute>

    <whc:title><xsl:value-of select="normalize-space($title)"/></whc:title>

    <xsl:apply-templates select="db:part|db:reference|db:preface|
                                  db:chapter|db:appendix|db:article|
                                  db:colophon|db:glossary|db:bibliography" 
                         mode="whtoc"/>
  </whc:entry>
</xsl:template>

<xsl:template match="db:part|db:reference|db:preface|                      
                     db:chapter|db:appendix|db:article" 
              mode="whtoc">
  <xsl:variable name="title">
    <xsl:apply-templates select="." mode="title.markup"/>
  </xsl:variable>

  <whc:entry>
    <xsl:attribute name="href">
      <xsl:call-template name="href.target.uri"/>
    </xsl:attribute>

    <whc:title><xsl:value-of select="normalize-space($title)"/></whc:title>

    <xsl:apply-templates select="db:article|db:preface|db:chapter|
                                 db:appendix|db:refentry|
                                 db:section|db:sect1|
                                 db:glossary|db:bibliography" 
                         mode="whtoc"/>
  </whc:entry>
</xsl:template>

<xsl:template match="db:section" mode="whtoc">
  <xsl:variable name="title">
    <xsl:apply-templates select="." mode="title.markup"/>
  </xsl:variable>

  <whc:entry>
    <xsl:attribute name="href">
      <xsl:call-template name="href.target.uri"/>
    </xsl:attribute>

    <whc:title><xsl:value-of select="normalize-space($title)"/></whc:title>

    <xsl:apply-templates select="db:section" mode="whtoc"/>
  </whc:entry>
</xsl:template>

<xsl:template match="db:sect1" mode="whtoc">
  <xsl:variable name="title">
    <xsl:apply-templates select="." mode="title.markup"/>
  </xsl:variable>

  <whc:entry>
    <xsl:attribute name="href">
      <xsl:call-template name="href.target.uri"/>
    </xsl:attribute>

    <whc:title><xsl:value-of select="normalize-space($title)"/></whc:title>

    <xsl:apply-templates select="db:sect2" mode="whtoc"/>
  </whc:entry>
</xsl:template>

<xsl:template match="db:sect2" mode="whtoc">
  <xsl:variable name="title">
    <xsl:apply-templates select="." mode="title.markup"/>
  </xsl:variable>

  <whc:entry>
    <xsl:attribute name="href">
      <xsl:call-template name="href.target.uri"/>
    </xsl:attribute>

    <whc:title><xsl:value-of select="normalize-space($title)"/></whc:title>

    <xsl:apply-templates select="db:sect3" mode="whtoc"/>
  </whc:entry>
</xsl:template>

<xsl:template match="db:sect3" mode="whtoc">
  <xsl:variable name="title">
    <xsl:apply-templates select="." mode="title.markup"/>
  </xsl:variable>

  <whc:entry>
    <xsl:attribute name="href">
      <xsl:call-template name="href.target.uri"/>
    </xsl:attribute>

    <whc:title><xsl:value-of select="normalize-space($title)"/></whc:title>

    <xsl:apply-templates select="db:sect4" mode="whtoc"/>
  </whc:entry>
</xsl:template>

<xsl:template match="db:sect4" mode="whtoc">
  <xsl:variable name="title">
    <xsl:apply-templates select="." mode="title.markup"/>
  </xsl:variable>

  <whc:entry>
    <xsl:attribute name="href">
      <xsl:call-template name="href.target.uri"/>
    </xsl:attribute>

    <whc:title><xsl:value-of select="normalize-space($title)"/></whc:title>

    <xsl:apply-templates select="db:sect5" mode="whtoc"/>
  </whc:entry>
</xsl:template>

<xsl:template match="db:sect5|db:colophon|db:refentry" mode="whtoc">
  <xsl:variable name="title">
    <xsl:apply-templates select="." mode="title.markup"/>
  </xsl:variable>

  <whc:entry>
    <xsl:attribute name="href">
      <xsl:call-template name="href.target.uri"/>
    </xsl:attribute>

    <whc:title><xsl:value-of select="normalize-space($title)"/></whc:title>
  </whc:entry>
</xsl:template>

<xsl:template match="db:glossary" mode="whtoc">
  <xsl:variable name="title">
    <xsl:call-template name="gentext">
      <xsl:with-param name="key" select="'Glossary'"/>
    </xsl:call-template>
  </xsl:variable>

  <whc:entry>
    <xsl:attribute name="href">
      <xsl:call-template name="href.target.uri"/>
    </xsl:attribute>

    <whc:title><xsl:value-of select="normalize-space($title)"/></whc:title>
  </whc:entry>
</xsl:template>

<xsl:template match="db:bibliography" mode="whtoc">
  <xsl:variable name="title">
    <xsl:call-template name="gentext">
      <xsl:with-param name="key" select="'Bibliography'"/>
    </xsl:call-template>
  </xsl:variable>

  <whc:entry>
    <xsl:attribute name="href">
      <xsl:call-template name="href.target.uri"/>
    </xsl:attribute>

    <whc:title><xsl:value-of select="normalize-space($title)"/></whc:title>
  </whc:entry>
</xsl:template>

<!-- ===================================================================== -->

<xsl:template name="whindex">
  <xsl:call-template name="write.chunk.with.doctype">
    <xsl:with-param name="filename" 
                    select="concat($base.dir, 'whc_index.xml')"/>
    <xsl:with-param name="method" select="'xml'"/>
    <xsl:with-param name="indent" select="'yes'"/>
    <!-- Seems to have no effect with XHML 1.0. 
         However whc ignores the DOCTYPE. -->
    <xsl:with-param name="doctype-public" select="''"/>
    <xsl:with-param name="doctype-system" select="''"/>
    <xsl:with-param name="content">
      <xsl:call-template name="whindex.content"/>
    </xsl:with-param>
    <xsl:with-param name="quiet" select="$chunk.quietly"/>
  </xsl:call-template>
</xsl:template>

<xsl:template name="whindex.content">
  <whc:index mergeAndSort="true">
    <xsl:variable name="docLang" select="string($profiled-nodes/*/@xml:lang)"/>
    <xsl:variable name="lang">
      <xsl:choose>
        <xsl:when test="$docLang != ''">
          <xsl:value-of select="$docLang"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="l10n.language"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:attribute name="termSeparator">
      <xsl:call-template name="gentext.template">
        <xsl:with-param name="lang" select="$lang"/>
        <xsl:with-param name="context">index</xsl:with-param>
        <xsl:with-param name="name">term-separator</xsl:with-param>
      </xsl:call-template>
    </xsl:attribute>

    <xsl:attribute name="xml:lang">
      <xsl:value-of select="$lang"/>
    </xsl:attribute>

    <xsl:if test="$case-sensitive-index-terms != '0'">
      <xsl:attribute name="caseSensitive">true</xsl:attribute>
    </xsl:if>

    <xsl:apply-templates select="$profiled-nodes//db:indexterm" mode="whindex"/>
  </whc:index>
</xsl:template>

<xsl:template match="db:indexterm[@class = 'endofrange']" mode="whindex"/>

<xsl:template match="db:indexterm[./db:primary]" mode="whindex">
  <whc:entry>
    <whc:term>
      <xsl:if test="./db:primary/@sortas">
        <xsl:attribute name="sortAs">
          <xsl:value-of select="normalize-space(./db:primary/@sortas)"/>
        </xsl:attribute>
      </xsl:if>

      <xsl:value-of select="normalize-space(./db:primary)"/>
    </whc:term>

    <xsl:choose>
      <xsl:when test="./db:secondary">
        <whc:entry>
          <whc:term>
            <xsl:if test="./db:secondary/@sortas">
              <xsl:attribute name="sortAs">
                <xsl:value-of select="normalize-space(./db:secondary/@sortas)"/>
              </xsl:attribute>
            </xsl:if>

            <xsl:value-of select="normalize-space(./db:secondary)"/>
          </whc:term>

          <xsl:choose>
            <xsl:when test="./db:tertiary">
              <whc:entry>
                <whc:term>
                  <xsl:if test="./db:tertiary/@sortas">
                    <xsl:attribute name="sortAs">
                      <xsl:value-of select="normalize-space(./db:tertiary/@sortas)"/>
                    </xsl:attribute>
                  </xsl:if>

                  <xsl:value-of select="normalize-space(./db:tertiary)"/>
                </whc:term>

                <xsl:call-template name="whindex.anchor"/>
              </whc:entry>
            </xsl:when>

            <xsl:otherwise>
              <xsl:call-template name="whindex.anchor"/>
            </xsl:otherwise>
          </xsl:choose>
        </whc:entry>
      </xsl:when>

      <xsl:otherwise>
        <xsl:call-template name="whindex.anchor"/>
      </xsl:otherwise>
    </xsl:choose>
  </whc:entry>
</xsl:template>

<xsl:template name="whindex.anchor">
  <xsl:choose>
    <xsl:when test="./db:see">
      <xsl:for-each select="./db:see">
        <whc:see>
          <xsl:value-of select="normalize-space(.)"/>
        </whc:see>
      </xsl:for-each>
    </xsl:when>

    <xsl:otherwise>
      <xsl:choose>
        <xsl:when test="@class = 'startofrange' and @xml:id != ''">
          <whc:anchor>
            <xsl:attribute name="href">
              <xsl:call-template name="href.target.uri"/>
            </xsl:attribute>

            <xsl:variable name="id" select="string(@xml:id)"/>
            <!-- @class='endofrange' optional if there is a @startref. -->
            <xsl:variable name="endOfRange" 
              select="$profiled-nodes//db:indexterm[@startref = $id]"/>
            <xsl:choose>
              <xsl:when test="count($endOfRange) &gt; 0">
                <xsl:for-each select="($endOfRange)[1]">
                  <xsl:attribute name="href2">
                    <xsl:call-template name="href.target.uri"/>
                  </xsl:attribute>
                </xsl:for-each>
              </xsl:when>
              <xsl:otherwise>
                <xsl:message>
                  <xsl:text>Do not find</xsl:text>
                  <xsl:text 
                      disable-output-escaping="yes"> &lt;indexterm</xsl:text>
                  <xsl:text> class='endofrange' startref='</xsl:text>
                  <xsl:value-of select="$id"/>
                  <xsl:text disable-output-escaping="yes">'/&gt;.</xsl:text>
                </xsl:message>
              </xsl:otherwise>
            </xsl:choose>
          </whc:anchor>
        </xsl:when>

        <xsl:when test="@zone != ''">
          <xsl:variable name="zones" 
                        select="concat(normalize-space(@zone), ' ')"/>
          <xsl:variable name="id1" select="substring-before($zones, ' ')"/>
          <xsl:variable name="remain1" select="substring-after($zones, ' ')"/>

          <xsl:call-template name="whindex.zones">
            <xsl:with-param name="id1" select="$id1"/>
            <xsl:with-param name="zones" select="$remain1"/>
          </xsl:call-template>
        </xsl:when>

        <xsl:otherwise>
          <whc:anchor>
            <xsl:attribute name="href">
              <xsl:call-template name="href.target.uri"/>
            </xsl:attribute>
          </whc:anchor>
        </xsl:otherwise>
      </xsl:choose>

      <xsl:for-each select="./db:seealso">
        <whc:seeAlso>
          <xsl:value-of select="normalize-space(.)"/>
        </whc:seeAlso>
      </xsl:for-each>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="whindex.zones">
  <xsl:param name="id1" select="''"/>
  <xsl:param name="zones" select="''"/>

  <xsl:choose>
    <xsl:when test="$id1 != ''">
      <xsl:variable name="anchor1" 
                    select="$profiled-nodes//*[@xml:id = $id1]" />

      <xsl:choose>
        <xsl:when test="count($anchor1) = 1">
          <whc:anchor>
            <xsl:for-each select="$anchor1">
              <xsl:attribute name="href">
                <xsl:call-template name="href.target.uri"/>
              </xsl:attribute>
            </xsl:for-each>
          </whc:anchor>
        </xsl:when>
        <xsl:otherwise>
          <xsl:message>
            <xsl:text>'</xsl:text>
            <xsl:value-of select="$id1"/> 
            <xsl:text>', invalid ID</xsl:text> 
            <xsl:text> in zone attribute of indexterm element.</xsl:text>
          </xsl:message>
        </xsl:otherwise>
      </xsl:choose>

      <xsl:if test="$zones != ''">
        <xsl:variable name="idA" select="substring-before($zones, ' ')"/>
        <xsl:variable name="remainA" select="substring-after($zones, ' ')"/>

        <xsl:call-template name="whindex.zones">
          <xsl:with-param name="id1" select="$idA"/>
          <xsl:with-param name="zones" select="$remainA"/>
        </xsl:call-template>
      </xsl:if>
    </xsl:when>

    <xsl:otherwise>
      <xsl:message>
        <xsl:text>'</xsl:text>
        <xsl:value-of select="@zone"/>
        <xsl:text>', malformed zone attribute</xsl:text>
        <xsl:text>in indexterm element.</xsl:text>
      </xsl:message>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

</xsl:stylesheet>