<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns:xslthl="http://xslthl.sf.net" 
                exclude-result-prefixes="xslthl" 
                version="1.0">

  <xsl:import href="../highlighting/common.xsl"/>

  <!-- Programming languages ============================================= -->

  <xsl:template mode="xslthl" match="xslthl:keyword">
    <span class="hl-keyword"><xsl:apply-templates mode="xslthl"/></span>
  </xsl:template>

  <xsl:template mode="xslthl" match="xslthl:string">
    <span class="hl-string"><xsl:apply-templates mode="xslthl"/></span>
  </xsl:template>

  <xsl:template mode="xslthl" match="xslthl:number">
    <span class="hl-number"><xsl:apply-templates mode="xslthl"/></span>
  </xsl:template>
  
  <xsl:template mode="xslthl" match="xslthl:comment">
    <span class="hl-comment"><xsl:apply-templates mode="xslthl"/></span>
  </xsl:template>

  <xsl:template mode="xslthl" match="xslthl:doccomment">
    <span class="hl-doccomment"><xsl:apply-templates mode="xslthl"/></span>
  </xsl:template>

  <xsl:template mode="xslthl" match="xslthl:directive">
    <span class="hl-directive"><xsl:apply-templates mode="xslthl"/></span>
  </xsl:template>

  <xsl:template mode="xslthl" match="xslthl:annotation">
    <span class="hl-annotation"><xsl:apply-templates mode="xslthl"/></span>
  </xsl:template>

  <!-- XML =============================================================== -->

  <xsl:template mode="xslthl" match="xslthl:tag">
    <span class="hl-tag"><xsl:apply-templates mode="xslthl"/></span>
  </xsl:template>

  <xsl:template mode="xslthl" match="xslthl:attribute">
    <span class="hl-attribute"><xsl:apply-templates mode="xslthl"/></span>
  </xsl:template>

  <xsl:template mode="xslthl" match="xslthl:value">
    <span class="hl-value"><xsl:apply-templates mode="xslthl"/></span>
  </xsl:template>

  <!-- comment, directive (= processing instruction) -->

  <xsl:template mode="xslthl" match="xslthl:doctype">
    <span class="hl-doctype"><xsl:apply-templates mode="xslthl"/></span>
  </xsl:template>

  <!-- Generated using myxml.xml ========================================= -->

  <xsl:template match="xslthl:html" mode="xslthl">
    <strong>
      <em style="color: red">
        <xsl:apply-templates mode="xslthl"/>
      </em>
    </strong>
  </xsl:template>

  <xsl:template match="xslthl:xslt" mode="xslthl">
    <strong style="color: #0066FF">
      <xsl:apply-templates mode="xslthl"/>
    </strong>
  </xsl:template>

</xsl:stylesheet>
